#include <jTypes.h>
#include <jCommandLine.h>
#include <iostream.h>
#include <stdio.h>
#include <jAssert.h>

int main()
{
	cout << "True:  " << kTrue  << endl;
	cout << "False: " << kFalse << endl;

	cout << "should see:" << endl << "TT" << endl;

	JBoolean b;
/*	b = 3;
	if (b)				cout << 'T';
	if (b == kTrue)		cout << 'T';
	if (!b)				cout << 'F';
	if (b == kFalse)	cout << 'F';

	b = 0;
	if (!b)				cout << 'T';
	if (b == kFalse)	cout << 'T';
	if (b)				cout << 'F';
	if (b == kTrue)		cout << 'F';

	b = (5 > 3);
	if (b)				cout << 'T';
	if (b == kTrue)		cout << 'T';
	if (!b)				cout << 'F';
	if (b == kFalse)	cout << 'F';
*/
	b = JF2B(0.1);
	if (b)				cout << 'T';
	if (b == kTrue)		cout << 'T';
	if (!b)				cout << 'F';
	if (b == kFalse)	cout << 'F';

	cout << endl;

	b = kTrue;
	assert( b );
	b = kFalse;
	assert( !b );

	cout << "Enter a boolean value: ";
	cin >> b;
	if (cin.good())
		{
		cout << "You entered " << b << endl;
		}
	else
		{
		cout << "You entered an invalid value." << endl;
		}
	JInputFinished();

	return 0;
}

//	operator void*() const
//		{
//		return (void*)(itsValue ? this : NULL);
//		}
